import { DynamicModule } from '@nestjs/common';
import { ElasticsearchModuleAsyncOptions, ElasticsearchModuleOptions } from './interfaces';
export declare class ElasticsearchModule {
    private readonly options;
    constructor(options: ElasticsearchModuleOptions);
    static register(options: ElasticsearchModuleOptions): DynamicModule;
    static registerAsync(options: ElasticsearchModuleAsyncOptions): DynamicModule;
    private static createAsyncProviders;
    private static createAsyncOptionsProvider;
}
