"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const elasticsearch_1 = require("@elastic/elasticsearch");
const elasticsearch_constant_1 = require("./elasticsearch.constant");
const elasticsearch_helper_1 = require("./elasticsearch.helper");
exports.createElasticsearchClient = (name) => ({
    provide: elasticsearch_helper_1.getClientToken(name),
    useFactory: (options) => {
        return new elasticsearch_1.Client(options);
    },
    inject: [elasticsearch_constant_1.ELASTICSEARCH_MODULE_OPTIONS],
});
